Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Interface CellValueRecordInterface

All Known Implementing Classes:
  BlankRecord, BoolErrRecord, FormulaRecord, FormulaRecordAggregate, LabelRecord, LabelSSTRecord, NumberRecord, RKRecord

public interface CellValueRecordInterface

The cell value record interface is implemented by all classes of type Record that contain cell values. It allows the containing sheet to move through them and compare them.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)
See Also:
  `Sheet`, `Record`, `RecordFactory`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getColumn()` get the column this cell defines within the row
`int` | `getRow()` get the row this cell occurs on
`short` | `getXFIndex()`
`boolean` | `isAfter(CellValueRecordInterface i)` returns whether this cell is after the passed in cell
`boolean` | `isBefore(CellValueRecordInterface i)` returns whether this cell is before the passed in cell
`boolean` | `isEqual(CellValueRecordInterface i)` returns whether this cell represents the same cell (NOT VALUE)
`void` | `setColumn(short col)` set the column this cell defines within the row
`void` | `setRow(int row)` set the row this cell occurs on
`void` | `setXFIndex(short xf)`

Method Detail

### getRow

    public int getRow()

  get the row this cell occurs on

  Returns:
    the row

### getColumn

    public short getColumn()

  get the column this cell defines within the row

  Returns:
    the column

### setRow

    public void setRow(int row)

  set the row this cell occurs on

  Parameters:
    `row` - the row this cell occurs within

### setColumn

    public void setColumn(short col)

  set the column this cell defines within the row

  Parameters:
    `col` - the column this cell defines

### setXFIndex

    public void setXFIndex(short xf)

### getXFIndex

    public short getXFIndex()

### isBefore

    public boolean isBefore(CellValueRecordInterface i)

  returns whether this cell is before the passed in cell

  Parameters:
    `i` - another cell interface record to compare
  Returns:
    true if the cells is before, or false if not

### isAfter

    public boolean isAfter(CellValueRecordInterface i)

  returns whether this cell is after the passed in cell

  Parameters:
    `i` - record to compare
  Returns:
    true if the cell is after, false if not

### isEqual

    public boolean isEqual(CellValueRecordInterface i)

  returns whether this cell represents the same cell (NOT VALUE)

  Parameters:
    `i` - record to compare
  Returns:
    true if the cells are the same cell (positionally), false if not.

### clone

    public java.lang.Object clone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.